
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>c++-C++ 字符串指针输出的为什么是完整字符串，而不是地址 / iVAN</title>

    <meta name="description" content="c++-C++ 字符串指针输出的为什么是完整字符串，而不是地址 问题描述 C++ 字符串指针输出的为什么是完整字符串,而不是地址 char str[3] = {'a','b',''}; cout&lt;&lt;str&lt;&lt;endl; //1 char *pChar = str; cout&lt;&lt;pChar&lt;&lt;endl; //2 int in[3] = {1,2,3}; cout&lt;&lt;in&lt;&lt;endl; //3 以上代码,1和2处的str.pChar不是指针么?为什么输出的是&quot;ab&quot;,而不 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">c++-C++ 字符串指针输出的为什么是完整字符串，而不是地址</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h1>问题描述</h1>
<dl>
<dt>C++ 字符串指针输出的为什么是完整字符串，而不是地址
        </dt>
<dd>
<pre><code>char str[3] = {&#039;a&#039;,&#039;b&#039;,&#039;&#039;};
cout&lt;&lt;str&lt;&lt;endl;    //1

char *pChar = str;
cout&lt;&lt;pChar&lt;&lt;endl;  //2

int in[3] = {1,2,3};
cout&lt;&lt;in&lt;&lt;endl;     //3
</code></pre>
<pre><code> 以上代码，1和2处的str、pChar不是指针么？为什么输出的是“ab”，而不是一个地址？
3处的in输出的就是个地址。

</code></pre>
</dd>
</dl>
<h1>解决方案</h1>
<p>cout对此有重载，如果是字符串，输出的是内容。你可以做一个强制类型转换，让它调用整数的重载版本<br />
cout&lt;&lt;(int)pChar&lt;&lt;endl;</p>
<p>解决方案二：<br />
    <br />cout的operator的 &lt;&lt; 有重载char*等参数，会一直输出到结束符。可以查看源码</p>
<p>解决方案三：</p>
<pre><code> //自定义拷贝构造函数
classname(const classname &amp;ob)
{
    //自定义拷贝构造函数的函数体
}
// 其中ob是用来初始另一个对象的对象的引用

class StringData{
private: char *str;
public:
    StringData(char *s){
        str=new char[strlen(s)+1];
        strcpy(str,s);
    }
    StringData(const StringData &amp;p){ // 拷贝构造函数
            str=new char[strlen(p.str)+1];
            strcpy(str,p.str);
    }
    ~StringData() { delete str; }
    //…
};
int main()
{

    StringData x(“abc”);
    StringData y(x);
}
</code></pre>
<p>拷贝构造函数是一种特殊的构造函数。**它用于依据已存在的对象建立一个新对象。**<br />
如果一个对象里面有指针成员，并且这个指针已经动态分配空间了，同时，对象有析构函数对这个指针进行释放。如上面那个例子，如果我们通过这个对象创建一个新对象：<br />
A a("123");<br />
A b = a; // 调用拷贝构造函数</p>
<p>如果我们没有自定义拷贝构造函数，导致对象 a 和 b 的指针成员指向同一个地址空间，当对象生命周期结束时，a 和 b 都会调用析构函数，最后导致，这个指针会被释放 2 次，导致内存出问题。</p>
<p><strong>所以，对象有指针成员，尽量自定义拷贝构造函数。</strong></p>
<p>解决方案四：<br />
    <br />一楼是傻逼，乱讲的，2,3楼讲的是正确的，就是因为操作符（&lt;&lt;）重载的原因。</p>
<p>解决方案五：<br />
    <br />别激动，本来是回答 《如何自定义拷贝构造函数》， 后来粘贴错了，又不能删除。</p>
<p>可以点击链接，验证一下。<a href="http://ask.csdn.net/questions/171219" rel="external nofollow noreferrer">如何自定义拷贝构造函数</a></p>
<p>解决方案六：<br />
    <br />本来是回答 《如何自定义拷贝构造函数》， 后来粘贴错了，又不能删除。</p>
<p>可以点击链接，验证一下。<a href="http://ask.csdn.net/questions/171219" rel="external nofollow noreferrer">如何自定义拷贝构造函数如何自定义拷贝构造函数</a></p>
<p>解决方案七：<br />
    <br />路过，cout&lt;&lt;&amp;pChar&lt;&lt;endl ，试试这样。确实是重载函数的问题，cout&lt;&lt;pChar&lt;&lt;endl;  //2和cout&lt;&lt;in&lt;&lt;endl;     //3  他们调的不是同一个函数</p>
<p>解决方案八：<br />
    <br />需要输出地址时可用“&amp;变量”，前面加上cout&lt;&lt;即可，因C++语言与C语言不同所致。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-25 03:04:54</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>c++-C++ 字符串指针输出的为什么是完整字符串，而不是地址的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zV05EnM.html" rel="bookmark">c&num; 字符串 倒序输出-请问各位一个C&num;字符串倒序输出的问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 请问各位一个C#字符串倒序输出的问题 大家好,新学C#,在字符串倒序输出时遇到了一点问题,想请问大家. static void Main(string[] args) { Console.WriteLine(&quot;请输入字符串:&quot;); int i; string myString = Console.ReadLine(); for (i = myString.Length - 1; i &gt;= 0; i--) { Console.WriteLine(&quot;转换后的字符串			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOWJAmz.html" rel="bookmark">C&plus;&plus; 用指向指针的指针的方法对5个字符串排序并输出时遇到的问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 C++ 用指向指针的指针的方法对5个字符串排序并输出时遇到的问题 //用指向指针的指针的方法对5个字符串排序并输出 void sort(char **p) { char* temp=new char;//为什么没有长度呢?这么可以没有长度呢?? for(int j=0;j&lt;5;j++) { for(int k=j;k&lt;5;k++) { if(strcmp(p[j],p[k])&gt;0) { temp=p[j]; p[j]=p[k]; p[k]=temp; } } } } int m			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pdEaj1z.html" rel="bookmark">c&plus;&plus;-C&plus;&plus;中vector容器存放字符串，输出错误</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 C++中vector容器存放字符串,输出错误 #include&lt;iostream&gt; #include&lt;vector&gt; #include&lt;string&gt; using namespace std; int main() { vector&lt;char*&gt; Sentence; vector&lt;char*&gt;::iterator p; char ch[100]=&quot;&quot;; while(cin.getline(ch,100,'n')) {			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmVxQ1z.html" rel="bookmark">c 字符串指针内存问题-C 字符串指针内存问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 C 字符串指针内存问题 char * str=&quot;new&quot;; str 的值是否是&quot;new&quot;字符串在常量存储区的地址? 用cout&lt;&lt;str ;直接输出结果为什么是new ? 解决方案 嗨, str确实是指向new字符串的指针,而且cout&lt;&lt;str输出new没有任何问题的. 猜测的你的疑惑:为什么不输出new字符串地址值? cout使用&lt;&lt;对待输出的不同数据类型对象操作进行了重载,用cout&lt;&lt;输出str时,c			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7W9k4z.html" rel="bookmark">C语言 字符串指针详解及示例代码&lowbar;C 语言</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				C语言中没有特定的字符串类型,我们通常是将字符串放在一个字符数组中,这在&lt;C语言字符数组和字符串&gt;中已经进行了详细讲解,这里不妨再来演示一下: #include &lt;stdio.h&gt; int main(){ char str[] = &quot;http://c.biancheng.net&quot;; int len = strlen(str), i; //直接输出字符串 printf(&quot;%s\n&quot;, str); //每次输出一个字符 for(i=0; i&lt			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/9Mxo5jb.html" rel="bookmark">VC&plus;&plus;字符串格式输出问题？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 VC++字符串格式输出问题? 如上如所示,我想将一个LPCTSTR型字符串格式化输出,但sprintf貌似不能实现这个功能,我想转换的结果也是LPCTSTR类型以作为loadBitmap()的参数,请问我该怎么办?谢谢! 解决方案 使用Fromat函数,比如: CString path: path.Fromat(_T(&quot;FlashDisk:picSrc%s.bmp&quot;), name); 解决方案二: sprintf有对应的宽字符版本的wsprintf我记得好像是 解决方案三:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGjqaOp.html" rel="bookmark">php实现字符串反转输出的方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 本文实例讲述了php实现字符串反转输出的方法.分享给大家供大家参考.具体分析如下: php中带有一个很简单的函数用于字符串反转,即strrev() &lt;?php print strrev('This is not a palindrome.'); ?&gt; 输出结果如下 .emordnilap a ton si sihT 希望本文所述对大家的php程序设计有所帮助. 以上是小编为您精心准备的的内容,在的博客.问答.公众号.人物.课程等栏目也有的相关内容,欢迎继续使用右上角搜索按钮进行搜索php ,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/badxDwz.html" rel="bookmark">c语言-输入一个错位敲出的字符串，输出打字员本来想打出的句子</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 输入一个错位敲出的字符串,输出打字员本来想打出的句子 #include char *s = &quot;&quot;`1234567890-=QWERTYUIOP[]ASDFGHJKL;'ZXCVBNM./&quot;&quot;;int main(){ int i c; while((c = getchar()) != EOF) { for(i = 1; s[i] &amp;&amp; s[i] != c; i ++); if(s[i]) putchar(s[i-1]); else putch			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYjd7Bp.html" rel="bookmark">java-Java中如何截取字符串数组中一段数字按大小进行排序，再输出整个排序后的字符串？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 Java中如何截取字符串数组中一段数字按大小进行排序,再输出整个排序后的字符串? String[] meg ={&quot;1#zhang#3207237&quot;,&quot;2#Wang#3207232&quot;...}根据最后的数字大小排序后输出 解决方案 帮助lz实现了一下,望采纳 import java.util.ArrayList; import java.util.Collections; import java.util.Comparator; import java.uti			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM6xggz.html" rel="bookmark" class="title">学点C语言&lpar;22&rpar;&colon;数据类型</a>
					<div>
						1. 关于数组的首地址: #include &lt;stdio.h&gt;int main(void){ char cs[2][3] = { {'A','B','C'}, {'D','E','F'}  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1RlYjp.html" rel="bookmark" class="title">如何选择网络布线方案</a>
					<div>
						目前一般情况下,大中型网络综合布线系统一般采用招标的方式进行,这就提出了如何评审布线系统方案以及怎样在众多方案中选择最终方案的问题.针对上述问题我们发表一点自己的看法,仅供用户参考. 1．通过招标来选 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY2gyVp.html" rel="bookmark" class="title">利用数字签名超越Java Applet的安全限制</a>
					<div>
						Java技术之所以在今天得到了如此广阔的应用,其中它的安全性是不能不提的.不同于其它技术(例如Microsoft的ActiveX)中安全性作为附加设计和补丁,Java从设计之初便考虑到了安全性.因此J ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOw8dQz.html" rel="bookmark" class="title">Java&period;next：第二部分&mdash;&mdash;与Java的互操作</a>
					<div>
						本文是Java.next系列的第二部分.在这一部分,我们来看Java.next语言如何与Java进行互操作. 在所有这些Java.next语言中,与Java互操作都是很简单的一件事.这得归功于Java ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze4y5wp.html" rel="bookmark" class="title">谷歌拼音如何启用自动同步功能</a>
					<div>
						要启用自动同步功能,请点击输入状态栏上的&quot;设置&quot;按钮,选择&quot;属性设置&quot; &gt; &quot;自动同步&quot;选项卡,选中&quot;自动同步用户词库(需要 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvKOx1p.html" rel="bookmark" class="title">一个完整的SQL SERVER数据库全文索引的示例介绍</a>
					<div>
						以下是介绍SQL SERVER数据库全文索引的示例,以pubs数据库为例.需要的朋友参考下   首先,介绍利用系统存储过程创建全文索引的具体步骤: 1) 启动数据库的全文处理功能 (sp_fullte ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW1E37z.html" rel="bookmark" class="title">如何设置word2013背景颜色</a>
					<div>
						  设置word背景颜色的方法一: 步骤一:打开一个word文档,点击开始,如图: 步骤二:把所想加的文字选中,按照键头点击,即可,如图: 步骤三:方法2,按照键头所指的点击,就可以得到下图的效果:  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg3Ke6M.html" rel="bookmark" class="title">Fedora系统的管理员root密码怎么重置？</a>
					<div>
						  1.首先,我们需要进入Fedora GRUB操作系统引导界面,一般安装时,默认是不显示操作系统选项,经几秒后就直接启动操作系统的,因此,我们需要在系统启动的时候,使用任意键进入启动菜单项,如下图所 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo7RAjb.html" rel="bookmark" class="title">怎么在excel中画斜线</a>
					<div>
						  怎么在excel中画斜线 打开一个工作表,可以是空白的也可以有数据 在你要分栏的那一格点击右键,然后会出现以下对话框 点击设置单元格格式,进入对话框界面,选择边框,然后我们看到在右下角有个图标,我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP8VV0p.html" rel="bookmark" class="title">文件共享密码清除方法</a>
					<div>
						  如保存了密码,清除方法: 1 运行&quot;control userpasswords2&quot; 2 在打开的对话框里切换到&quot;高级&quot;标签页,然后单击&quot;管理密码& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVwlNkb.html" rel="bookmark" class="title">Directx异常怎么修复</a>
					<div>
						  Directx异常怎么修复?很多电脑用户在玩游戏时,总提示丢失d3dx**.dll文件,提示directx出现未知错误,这是怎么回事,该如何解决呢?下面小编就来分享一下Directx未知错误异常的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGJ4AOp.html" rel="bookmark" class="title">tomcat安装版无法卸载？</a>
					<div>
						问题描述 tomcat安装版无法卸载? 如图 怎么解决啊? 解决方案 安装版Tomcat在Myeclipse下无法启动Tomcat 免安装版无法启动 解决方案二: 没有指定的名字, 看看开始菜单中有没 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnYGxkM.html" rel="bookmark" class="title">RHCSA 系列（一）&colon; 回顾基础命令及系统文档</a>
					<div>
						RHCSA (红帽认证系统工程师) 是由 RedHat 公司举行的认证考试,这家公司给商业公司提供开源操作系统和软件,除此之外,还为这些企业和机构提供支持.训练以及咨询服务等. RHCSA 考试准备指 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0QRO0p.html" rel="bookmark" class="title">深入 Linux I&sol;O 重定向</a>
					<div>
						一个文件描述符说白了就是文件系统为了跟踪这个打开的文件而分配给它的一个数字,也可以的将其理解为文件指针的一个简单版本,与C语言中文件句柄的概念很相似. Linux 中默认情况下始终有 3 个&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOlVJxb.html" rel="bookmark" class="title">揭秘&OpenCurlyDoubleQuote;白帽黑客&rdquo;特训 入职可获年薪20万以上</a>
					<div>
						培训班是军事化管理,平时的上课时间手机不准带进教学区,学员们只有在晚上回到宿舍,才可以给家里打个电话. 刘悦大学毕业后,放弃电力公司的工作,来到&quot;女生当男生使&quot;的特训班.半年下来, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLmQqkz.html" rel="bookmark" class="title">下面是一段css文件代码，请问大神~是什么意思！谢谢</a>
					<div>
						问题描述 下面是一段css文件代码,请问大神~是什么意思!谢谢 .mui-content { background-color: #efeff4; -webkit-overflow-scrolling ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQrlDZM.html" rel="bookmark" class="title">hibetnate struts 乱码</a>
					<div>
						问题描述 不知道为什么,一插入就出现7 ???? &lt;p&gt;&lt;span class=&quot;STYLE1&quot;&gt;??&lt;span class=&quot;STYLE1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlKLWYb.html" rel="bookmark" class="title">php-遍历数组，根据mark值的不同，使数据显示在不同的模块中</a>
					<div>
						问题描述 遍历数组,根据mark值的不同,使数据显示在不同的模块中 有这样一个数组$jobArr $jobArr=array( 1 =&gt; array( 0 =&gt; array( 'name' ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnK8XWz.html" rel="bookmark" class="title">备份恢复15&mdash;&mdash; RMAN维护 &plus; 相关的视图</a>
					<div>
						原文转自:http://blog.csdn.net/tianlesoftware/article/details/5728097 The views V$RMAN_BACKUP_JOB_DETAILS ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJA3g2p.html" rel="bookmark" class="title">桌面应用-如何实现在PC电脑上利用语音代替鼠标操作，实现操作C&sol;S版的桌面程序。</a>
					<div>
						问题描述 如何实现在PC电脑上利用语音代替鼠标操作,实现操作C/S版的桌面程序. 在C#编写的Winform项目中,在PC电脑上利用语音,调用自己开发的C/S版的桌面应用程序上.这样可以实现利用语音代 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKmPBb.html" rel="bookmark" class="title">hash破解-朋友网的hash怎么用ophcrack算出来</a>
					<div>
						问题描述 朋友网的hash怎么用ophcrack算出来 100C 研究了半天还是用不来.连添加HASH值都不会用.求帮助啊.这个是怎么破解的c265e4bd629300c576c25ebe82e978 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdRJY2b.html" rel="bookmark" class="title">vsftpd-VSFTPD，可以FTP下载但是FTP上传时报&OpenCurlyDoubleQuote;550 Permission denied&period;&rdquo;</a>
					<div>
						问题描述 VSFTPD,可以FTP下载但是FTP上传时报&quot;550 Permission denied.&quot; ubuntu14.04 安装VSFTPD,可以FTP下载但是FTP上传时报 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnRXyWp.html" rel="bookmark" class="title">【PMP认证考试之个人总结】第 3 章 项目整合管理</a>
					<div>
						第 3章 项目整合管理 &lt;PMP个人备考笔记(全篇)&gt;下载 3.1 综述   何时任命PM ? ①最好时机 ===&gt;制定项目章程时(因为项目章程最好由PM编制,但需要高层审批) ②最 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5RrDmz.html" rel="bookmark" class="title">新客厅争夺战：谷歌的朋友和敌人们</a>
					<div>
						研究结论: 1.智能家居的竞争目前主要围绕客厅展开,智能电视是各家争夺的焦点: 2.在围绕智能电视的产业布局中,视频服务必不可少,但有平台能力的公司更有可能成为主导力量: 3.谷歌在智能家居方面的主要 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEKq2Jp.html" rel="bookmark" class="title">gsm-mini2440通过串口控制gms发送短信，请大神帮忙看看是我代码有问题还是什么其他原因，总是不成功</a>
					<div>
						问题描述 mini2440通过串口控制gms发送短信,请大神帮忙看看是我代码有问题还是什么其他原因,总是不成功 #include #include #include #include #include ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyelYEM.html" rel="bookmark" class="title">《Python参考手册（第4版&bull;修订版）》&mdash;&mdash;1&period;15　异常</a>
					<div>
						1.15 异常 如果程序中出现错误,就会引发异常,并显示类似下面的回溯消息: Traceback (most recent call last): File &quot;foo.py&quot;, l ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOJZoRp.html" rel="bookmark" class="title">AMD发布两款G系列新品 主要针对行业用户</a>
					<div>
						[天极网服务器频道消息]在昨日开幕的台北电脑展上,AMD发布了全新x86 AMD嵌入式G系列系统级芯片(SoC)和中央处理器(CPU) 解决方案,包括针对惠普医疗.金融.教育和零售行业瘦客户机以及Ad ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2ZA14b.html" rel="bookmark" class="title">浅析Java中comparator接口与Comparable接口的区别&lowbar;java</a>
					<div>
						Comparable 简介 Comparable 是排序接口. 若一个类实现了Comparable接口,就意味着&quot;该类支持排序&quot;.  即然实现Comparable接口的类支持排序, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze0XdOp.html" rel="bookmark" class="title">如何更好的做网站优化价值取向</a>
					<div>
						问题在哪里?二进制认为,关键在于没有透彻的理解SEO优化的真正价值取向,盲目的做着所谓的优化.那么网站优化实质意义是什么呢?相信杠杆这个原理更能诠释. 一:不做盲目的更新 有不少站长认为,网站要讨好搜 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0N56Jz.html" rel="bookmark" class="title">内核级sandbox设计原理与实现</a>
					<div>
						作者:王智通   Index 1 – 背景 1.1 – 现有的技术方法 1.1.1 – selinux/apparmor 1.1.2 – Hook sys_call_table 1.2 – LKM o ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.033 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
